dofile( "data/scripts/lib/utilities.lua" )

local ourEntity = GetUpdatedEntityID()

local ourProjectileComponent = EntityGetComponent(ourEntity, "ProjectileComponent")[1]

if(ourProjectileComponent ~= nil)then
	local lifetime = ComponentGetValue( ourProjectileComponent, "lifetime")
	local ourSpriteComponent = EntityGetComponent(ourEntity, "SpriteComponent")
	
	if(ourSpriteComponent ~= nil)then
		local sprite = ComponentGetValue(ourSpriteComponent[1], "image_file")
		if(tostring(sprite) == "data/projectiles_gfx/black_hole.xml" or tostring(sprite) == "data/projectiles_gfx/black_hole_big_circle.xml" )then
			--ComponentSetValue( ourProjectileComponent[1], "lifetime", lifetime * 0.9)
		else
			ComponentSetValue( ourProjectileComponent, "lifetime", lifetime * 4)
		end
	else
		ComponentSetValue( ourProjectileComponent, "lifetime", lifetime * 4)	
	end
	
end